import { scaleOrdinal } from 'd3';

const colorScale = scaleOrdinal(
	['apple', 'lemon'],
  ['steelblue', 'orange']
)
const radiusScale = scaleOrdinal(
	['apple', 'lemon'],
  [50, 30]  
)

export const fruitsBowl = (selection, props) =>{
  const { fruits, height } = props;
  
  // singular append
  const bowl = selection.selectAll('rect')
  	.data([null])
  	.enter().append('rect')
  	.attr('y', 80)
  	.attr('height', 250)
  	.attr('width', 620)
  	.attr('rx', 250 / 2);
  
  // group
  const groups = selection.selectAll('g').data(fruits);
  const groupEnter = groups.enter().append('g');
  groupEnter
    .merge(groups)
  		.attr('transform',(d,i)=>
  			`translate(${i * 120 + 60},${height / 2})`
  		);
  groups.exit().remove();
  
  const circles = groups.select('circle');
  groupEnter.append('circle')
  	.merge(circles)
      .attr('fill', d => colorScale(d.type))
      .attr('r', d => radiusScale(d.type));
  
	const texts = groups.select('text');
  groupEnter.append('text')
  	.merge(texts)
      .text(d => d.type)
  		.attr('y', 90);
}